import type { Container, IHsl, IRgb, IValueColor, InteractivityDetect, MoveDirection, OutMode } from "@tsparticles/engine";
export interface IParticlesJSOptions {
    interactivity: {
        detect_on: InteractivityDetect | keyof typeof InteractivityDetect;
        events: {
            onclick: {
                enable: boolean;
                mode: string;
            };
            onhover: {
                enable: boolean;
                mode: string;
            };
            resize: boolean;
        };
        modes: {
            bubble: {
                distance: number;
                duration: number;
                opacity: number;
                size: number;
                speed: number;
            };
            grab: {
                distance: number;
                line_linked: {
                    opacity: number;
                };
            };
            push: {
                particles_nb: number;
            };
            remove: {
                particles_nb: number;
            };
            repulse: {
                distance: number;
                duration: number;
            };
        };
    };
    particles: {
        color: {
            value: string | IRgb | IHsl | IValueColor;
        };
        line_linked: {
            color: string;
            distance: number;
            enable: boolean;
            opacity: number;
            width: number;
        };
        move: {
            attract: {
                enable: boolean;
                rotateX: number;
                rotateY: number;
            };
            bounce: boolean;
            direction: MoveDirection | keyof typeof MoveDirection;
            enable: boolean;
            out_mode: OutMode | keyof typeof OutMode;
            random: boolean;
            speed: number;
            straight: boolean;
        };
        number: {
            density: {
                enable: boolean;
                value_area: number;
            };
            value: number;
        };
        opacity: {
            anim: {
                enable: boolean;
                opacity_min: number;
                speed: number;
                sync: boolean;
            };
            random: boolean;
            value: number;
        };
        shape: {
            image: {
                height: number;
                replace_color?: boolean;
                src: string;
                width: number;
            };
            polygon: {
                nb_sides: number;
            };
            stroke: {
                color: string | IRgb | IHsl | IValueColor;
                width: number;
            };
            type: string;
        };
        size: {
            anim: {
                enable: boolean;
                size_min: number;
                speed: number;
                sync: boolean;
            };
            random: boolean;
            value: number;
        };
    };
    retina_detect: boolean;
}
export interface IParticlesJS {
    (tagId: string, options: IParticlesJSOptions): Promise<Container | undefined>;
    load(tagId: string, pathConfigJson: string, callback: (container?: Container) => void): void;
    setOnClickHandler(callback: EventListenerOrEventListenerObject): void;
}
